package com.bonus.canteen.core.supply.vo;

import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel("分页查询报价明细返回")
public class DrpQuoteDetailPageVO implements Serializable {
   @ApiModelProperty("报价表id")
   private Long quoteId;
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("货品编码")
   private String materialCode;
   @ApiModelProperty("原料")
   private String materialName;
   @ApiModelProperty("类别")
   private String categoryName;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("单位")
   private String unitName;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("单价")
   private Integer singlePrice;
   @ApiModelProperty("总价")
   private Integer totalPrice;
   @ApiModelProperty("图片")
   private String imageUrl;
   @ApiModelProperty("备注")
   private String notes;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getQuoteId() {
      return this.quoteId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public String getSize() {
      return this.size;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public Integer getSinglePrice() {
      return this.singlePrice;
   }

   public Integer getTotalPrice() {
      return this.totalPrice;
   }

   public String getNotes() {
      return this.notes;
   }

   public void setQuoteId(final Long quoteId) {
      this.quoteId = quoteId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setSinglePrice(final Integer singlePrice) {
      this.singlePrice = singlePrice;
   }

   public void setTotalPrice(final Integer totalPrice) {
      this.totalPrice = totalPrice;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setNotes(final String notes) {
      this.notes = notes;
   }


   public String toString() {
      Long var10000 = this.getQuoteId();
      return "DrpQuoteDetailPageVO(quoteId=" + var10000 + ", materialId=" + this.getMaterialId() + ", materialCode=" + this.getMaterialCode() + ", materialName=" + this.getMaterialName() + ", categoryName=" + this.getCategoryName() + ", unitId=" + this.getUnitId() + ", unitName=" + this.getUnitName() + ", size=" + this.getSize() + ", purNum=" + String.valueOf(this.getPurNum()) + ", singlePrice=" + this.getSinglePrice() + ", totalPrice=" + this.getTotalPrice() + ", imageUrl=" + this.getImageUrl() + ", notes=" + this.getNotes() + ")";
   }
}
